"use strict";
const lodash_1 = require("lodash");
class EnvCheckPlugin {
    constructor(serverless, options) {
        this.serverless = serverless;
        this.serverless.variables.renderMatches = function renderMatches(value, matches, results) {
            let result = value;
            let missingVars = [];
            for (let i = 0; i < matches.length; i += 1) {
                if (results[i] === null ||
                    typeof results[i] === 'undefined' ||
                    (typeof results[i] === 'object' && lodash_1.isEmpty(results[i]))) {
                    this.warnIfNotFound(matches[i].variable, results[i]);
                    missingVars = [...missingVars, matches[i].variable];
                }
                result = this.populateVariable(result, matches[i].match, results[i]);
            }
            if (missingVars.length > 0) {
                throw new this.serverless.classes.Error(`Could not resolve variable(s): ${missingVars.join(', ')}`);
            }
            return result;
        }.bind(this.serverless.variables);
    }
}
module.exports = EnvCheckPlugin;
//# sourceMappingURL=index.js.map